# Generated from ffactory_girl-4.8.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ffactory_girl

Name: rubygem-%{gem_name}
Version: 4.8.2
Release: 1%{?dist}
Summary: ffactory_girl provides a framework and DSL for defining and using model instance factories
License: MIT
URL: https://github.com/kalys/ffactory_girl
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.2
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec-its) >= 1.0
# BuildRequires: rubygem(rspec-its) < 2
# BuildRequires: rubygem(cucumber) >= 1.3.15
# BuildRequires: rubygem(cucumber) < 1.4
# BuildRequires: rubygem(timecop)
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(aruba)
# BuildRequires: rubygem(appraisal) >= 2.1.0
# BuildRequires: rubygem(appraisal) < 2.2
# BuildRequires: rubygem(activerecord) >= 3.0.0
# BuildRequires: rubygem(yard)
BuildArch: noarch

%description
ffactory_girl provides a framework and DSL for defining and
using factories - less error-prone, more explicit, and
all-around easier to work with than fixtures.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# cucumber
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.autotest
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.simplecov
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%{gem_instdir}/Appraisals
%{gem_instdir}/GETTING_STARTED.md
%license %{gem_instdir}/LICENSE
%{gem_instdir}/NAME.md
%{gem_instdir}/gemfiles
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/NEWS
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/cucumber.yml
%{gem_instdir}/factory_girl.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 4.8.2-1
- Initial package
